% plots for the exercise MM:scaling

set(0,                           ...
   'defaultaxesfontsize', 20,   ...
   'defaultaxeslinewidth', 1.0, ...
   'defaultlinelinewidth', 1.2, ...
   'defaultpatchlinewidth', 0.7);


u0 = 20;
u = [0.001:.0001:u0];
f = u-u0+log(u/u0);
figure(1)
plot(-f,u,'linewidth',2)
xlabel('\tau','fontsize',20)
ylabel('u(\tau)','fontsize',20)
title('u(0) = 20','fontsize',20)

u0 = 0.1;
u = [0.001:.0001:u0];
f = u-u0+log(u/u0);
figure(2)
plot(-f,u,'linewidth',2)
xlabel('\tau','fontsize',20)
ylabel('u(\tau)','fontsize',20)
title('u(0) = 0.1','fontsize',20)

